package com.mints.goodmoney.ad.express

import android.widget.FrameLayout
import com.mints.goodmoney.common.AppConfig
import com.mints.goodmoney.manager.TtCsjAdManager

/**
 * 能用信息流加载
 */
object ExpressManager {

    fun loadExpress() {
        if (AppConfig.groMoreVideoAdCount > 0) {
            GroMoreCarrierExpressManager.instance.loadADFrameLayout()
        } else {
            TTPreLoadCarrierExpressManager.getInstance().loadTtFrameLayout(TtCsjAdManager.TT_AD_NATIVEEXPRESS_WATER)
        }
    }

    fun getExpressFrameLayout(): FrameLayout? {
        if (AppConfig.groMoreVideoAdCount > 0) {
            return GroMoreCarrierExpressManager.instance.getADFrameLayout()
        } else {
            return TTPreLoadCarrierExpressManager.getInstance().ttFrameLayout
        }
    }
}